[Haskell-cafe] have anyone tried GHC 7.0.2

Qi Qi qiqi789 at gmail.com
Tue Mar 8 19:20:10 CET 2011


After I installed GHC 7.0.2 and cabal-install 0.10.0 using Cabal library
1.10.1, I found that some package failed to install. For example like
Happy, I got the following error:

cabal install happy
Resolving dependencies...
<command line>: cannot satisfy -package Cabal- 
    Cabal- is unusable due to missing or recursive dependencies:
      directory- process-
    (use -v for more information)
cabal: Error: some packages failed to install:
happy-1.18.6 failed during the configure step. The exception was:
ExitFailure 1

Besides happy package, some other packages like ghc-mod, hmatrix also
failed to install. Does anyone else have the same issue after installed
ghc 7.0.2? 

By the way, does anyone hear anything about Haskell-platform 2011.2 ?


Qi Qi

More information about the Haskell-Cafe mailing list